/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\items\khaldun stealables\Khaldunbonechest.cs
Lines of code: 42
***********************************************************/


using System;
using Server;

namespace Server.Items
{
	public class Khaldunbonechest : BoneChest
	{
		public override int ArtifactRarity{ get{ return 10; } }

		public override int BaseFireResistance{ get{ return 15; } }
		public override int BaseEnergyResistance{ get{ return 15; } }
		public override int BasePoisonResistance{ get{ return 15; } }
		public override int BasePhysicalResistance{ get{ return 15; } }
		public override int BaseColdResistance{ get{ return 15; } }

		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get{ return 255; } }

		[Constructable]
		public Khaldunbonechest()
		{
			Name = "Khaldun Bonechest";
			Hue = 2101;
			Attributes.BonusDex = 5;
			Attributes.BonusHits = 5;
			ArmorAttributes.SelfRepair = 10;
			Attributes.RegenHits = 3;
			Attributes.RegenMana = 1;
			Attributes.RegenStam = 2;
			Weight = 10.0;
		}

		public Khaldunbonechest( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 1 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}